Skip to content

Get a List of Businesses

Request

Get a list of businesses managed by the current user.

Security
X-API-KEY or Authorization
Query
querystring

Value used to filter the results by the fields provided in the "queryFields" query parameter. By default, the value will be searched for in the following fields: "name", "streetAndNo", "zip", "city", "country", "identifier".

queryFieldsArray of strings

The fields that will be searched to contain the value provided in the "query" query parameter. The default query fields are "name", "streetAndNo", "zip", "city", "country", "identifier

identifierstring

Only return one business based on your internal identification system

businessIdsstring

Only return businesses identified by ids listed in businessIds

statusstring

Filter by business status. One of ACTIVE, INACTIVE

minLocationsstring

Only return businesses with at least minLocations locations

maxLocationsstring

Only returns businesses with at most maxLocations locations

productPlanstring

Query accounts by product plan name.

productPlanIdstring

Query accounts by product plan Id.

sortstring

The business property to sort by (ascending). One of name, streetAndNo, city, zip, phone

maxstring

Used for pagination. Maximum number of results per page. Default: 10

offsetstring

Offset used for pagination. Default: 0

fieldMaskstring

Possible fieldMask options ('id', 'identifier', 'name', 'type', 'streetAndNo', 'addressLine2', 'province', 'zip', 'city','phone', 'country', 'status', 'canSync', 'dateCreated', 'defaultPrice','defaultOriginalPrice', 'defaultPriceSetup', 'productPlan', 'nextProductPlan', 'numOfLocations')

Example:fieldMask=type&fieldMask=city
curl -i -X GET \
  'https://uberall.com/api/businesses?query=string&queryFields=string&identifier=string&businessIds=string&status=string&minLocations=string&maxLocations=string&productPlan=string&productPlanId=string&sort=string&max=string&offset=string&fieldMask=type%26fieldMask%3Dcity' \
  -H 'X-API-KEY: YOUR_API_KEY_HERE'

Responses

Successfully retrieved Businesses

Body*/*
statusstringrequired
Enum:"SUCCESS""PENDING""QUOTA_LIMIT_EXCEED""NOT_AUTHORIZED""FORBIDDEN""BAD_ACCESS_TOKEN""BAD_PRIVATE_KEY""BAD_PUBLIC_KEY""MISSING_PARAMETER""INVALID_PARAMETER"
messagestring

(optional) Holds further information about the response

warningsArray of strings

(optional) Holds further warnings

responseobjectrequired

Business Page Response Model

Response
{
  "status": "SUCCESS",
  "message": "string",
  "warnings": [
    "string"
  ],
  "response": {
    "businesses": [
      {
        "addressLine2": "string",
        "businessSyncable": true,
        "city": "string",
        "country": "AF",
        "dateCreated": "2019-08-24T14:15:22Z",
        "dateExpiration": "2019-08-24T14:15:22Z",
        "defaultOriginalPrice": 0,
        "defaultPrice": 0,
        "defaultPriceSetup": 0,
        "id": 0,
        "identifier": "string",
        "name": "string",
        "type": "SMB",
        "phone": "string",
        "province": "string",
        "status": "CREATED",
        "streetAndNo": "string",
        "zip": "string",
        "nextProductPlanId": 0,
        "effectiveDate": "2019-08-24T14:15:22Z",
        "numOfLocations": 0,
        "productPlan": {
          "id": 0,
          "name": "string",
          "salesPartnerId": 0,
          "features": [
            "ADS"
          ],
          "updatedDirectories": [
            "FOURSQUARE"
          ],
          "countryPrice": [
            {
              "country": "AF",
              "price": 0,
              "marketDevelopmentFunds": 0,
              "priceSetup": 0
            }
          ],
          "currency": "string",
          "defaultPlan": true,
          "identifier": "string",
          "description": "string",
          "dateCreated": "2019-08-24T14:15:22Z",
          "lastUpdated": "2019-08-24T14:15:22Z",
          "duration": 0,
          "initialDuration": 0,
          "billingPeriod": 0,
          "initialBillingPeriod": 0,
          "defaultPrice": 0,
          "defaultOriginalPrice": 0,
          "defaultPriceSetup": 0,
          "defaultMarketDevelopmentFunds": 0,
          "status": "ACTIVE"
        },
        "countryPrices": [
          {
            "country": "AF",
            "price": 0,
            "priceSetup": 0,
            "marketDevelopmentFunds": 0,
            "currency": "string"
          }
        ],
        "productPlanId": 0,
        "defaultCurrency": "string",
        "fieldMask": [
          "string"
        ],
        "productPlanFieldMask": [
          "string"
        ],
        "customFields": [
          "string"
        ],
        "directoryBusinessPages": [
          {
            "id": 0,
            "type": "FACEBOOK",
            "directoryBusinessPageId": "string",
            "status": "VALID"
          }
        ]
      }
    ],
    "max": 0,
    "offset": 0,
    "count": 0,
    "warnings": [
      "string"
    ]
  }
}